cmake_minimum_required(VERSION 3.10)

project(lwip)

set(LWIP_DIR lwip)
set(LWIP_INCLUDE_DIRS
    ${LWIP_ADDITIONAL_INCLUDE_DIR}
    lwip/src/include
)

include(lwip/src/Filelists.cmake)

add_library(${PROJECT_NAME} INTERFACE)
target_link_libraries(${PROJECT_NAME} INTERFACE lwipcore)
target_include_directories(${PROJECT_NAME} INTERFACE ${LWIP_INCLUDE_DIRS})